#!/usr/bin/perl

while(<>) {

	chomp;
	s/(\s*#.*$)//;

	($in_data_section = 1, next) if(m/^DataStart/);
	($in_data_section = 0, next) if(m/^DataEnd/);

	next unless($in_data_section);

	foreach $tic (split /\s+/, $_) {
		$tics{$tic}++;
	}
}

foreach (sort keys %tics) {
	print "$_: $tics{$_}\n";
}
